package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.SystemConfig;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.SystemConfigMapper")
public interface SystemConfigMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(SystemConfig record);

    SystemConfig selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SystemConfig record);

    List<SystemConfig> queryAllSystemConfig(SystemConfig record);

    List<SystemConfig> querySystemConfigByPage(Map<String, Object> parameter);

    int delete(SystemConfig record);

    SystemConfig querySystemConfig(SystemConfig record);

    List<SystemConfig> query(SystemConfig record);
}

